Skip to main content

Create Financial Line Type

POST 

/api/financial-line-types

Creates a new financial line type.

Required scope: settings:write

Grant this scope to your token under Settings → Developer → Personal Access Tokens.

Authentication: Requires Bearer token.

Fields:

  • name (required, string) — Name of the financial line type
  • classification (required, string) — One of: revenue, cost
  • allocate_to_products (optional, boolean) — Whether to allocate costs/revenue to products
  • proration_strategy (optional, string) — One of: revenue_based, cost_based, weight_based, volume_based, quantity_based, specific_line, manual
  • nominal_code_id (optional, integer|null) — ID of associated nominal code

Requires permission: financial_line_types.create

Request

Responses

OK

Response Headers
    Content-Type